com.ihr.xbrl.dts

## Enum ConversionSource

- java.lang.Object
- - java.lang.Enum<ConversionSource>
  - - com.ihr.xbrl.dts.ConversionSource

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ConversionSource>

      public enum ConversionSource
      extends java.lang.Enum<ConversionSource>

  The Enum ConversionSource.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LocalTable` The Local table.
    `WebService` The Web service.
    `WebServiceFallBackToLocalTable` The Web service fall back to local table.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConversionSource` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ConversionSource[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WebService

          public static final ConversionSource WebService

      The Web service.

    - #### LocalTable

          public static final ConversionSource LocalTable

      The Local table.

    - #### WebServiceFallBackToLocalTable

          public static final ConversionSource WebServiceFallBackToLocalTable

      The Web service fall back to local table.

  - ### Method Detail

    - #### values

          public static ConversionSource[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConversionSource c : ConversionSource.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConversionSource valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null